Posted by AGo in Plugin Development on Mar 09 2008, 04:22 pm

Hey fellow devs,

I just noticed that the nc_plugin2005.lib (the plugin lib to be used with VisualStudio2005) that comes with the latest build is actually only a renamed nc_plugin.lib (older VC version).

So if you try to use that lib for your VC05 compiled plugins don't wonder if compiler yells at you complaining about unresolved functions.

I don't want to post the correct lib and header file because those belong to Northcode's intellectual property, but in case anybody wonders I thought I'd let you guys know.


Posted by northcode in Plugin Development on Mar 10 2008, 09:47 am

Dan was supposed to make a post here about that on Friday. It was actually a build problem, as described in this problem report. The problem has been fixed and the LIB is generated properly now. If you need the new VS2005 compatible LIB file, just send a quick email to support@northcode.com and we'll send you a copy. AGo, you're is on the way ;)